net.sf.jasperreports.engine

## Interface JRBox

- All Superinterfaces:
    JRStyleContainer
  All Known Implementing Classes:
    JRBaseBox

  Deprecated.
  Replaced by `JRLineBox`.

      public interface JRBox
      extends JRStyleContainer

  This is useful for drawing borders around text elements and images. Boxes can have borders and paddings, which can have different width and colour on each side of the element.
  Version:
    $Id: JRBox.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `JRLineBox.getPen()`
    `java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `JRLineBox.getPen()`
    `java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
    `java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
    `java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`
    `java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
    `java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
    `java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`
    `java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `JRLineBox.getOwnPadding()`
    `java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `JRLineBox.getRightPen()`
    `java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `JRLineBox.getRightPen()`
    `java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`
    `java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `JRLineBox.getTopPen()`
    `java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `JRLineBox.getTopPen()`
    `java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Method Detail

    - #### getOwnBorder

          java.lang.Byte getOwnBorder()

      Deprecated. Replaced by `JRLineBox.getPen()`

    - #### getOwnBorderColor

          java.awt.Color getOwnBorderColor()

      Deprecated. Replaced by `JRLineBox.getPen()`

    - #### getOwnPadding

          java.lang.Integer getOwnPadding()

      Deprecated. Replaced by `JRLineBox.getOwnPadding()`

    - #### getOwnTopBorder

          java.lang.Byte getOwnTopBorder()

      Deprecated. Replaced by `JRLineBox.getTopPen()`

    - #### getOwnTopBorderColor

          java.awt.Color getOwnTopBorderColor()

      Deprecated. Replaced by `JRLineBox.getTopPen()`

    - #### getOwnTopPadding

          java.lang.Integer getOwnTopPadding()

      Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`

    - #### getOwnLeftBorder

          java.lang.Byte getOwnLeftBorder()

      Deprecated. Replaced by `JRLineBox.getLeftPen()`

    - #### getOwnLeftBorderColor

          java.awt.Color getOwnLeftBorderColor()

      Deprecated. Replaced by `JRLineBox.getLeftPen()`

    - #### getOwnLeftPadding

          java.lang.Integer getOwnLeftPadding()

      Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`

    - #### getOwnBottomBorder

          java.lang.Byte getOwnBottomBorder()

      Deprecated. Replaced by `JRLineBox.getBottomPen()`

    - #### getOwnBottomBorderColor

          java.awt.Color getOwnBottomBorderColor()

      Deprecated. Replaced by `JRLineBox.getBottomPen()`

    - #### getOwnBottomPadding

          java.lang.Integer getOwnBottomPadding()

      Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`

    - #### getOwnRightBorder

          java.lang.Byte getOwnRightBorder()

      Deprecated. Replaced by `JRLineBox.getRightPen()`

    - #### getOwnRightBorderColor

          java.awt.Color getOwnRightBorderColor()

      Deprecated. Replaced by `JRLineBox.getRightPen()`

    - #### getOwnRightPadding

          java.lang.Integer getOwnRightPadding()

      Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com